#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: cvscript.pl,v 1.6 2008/11/12 23:26:50 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

use strict;
use warnings;

my $filename = shift(@ARGV);

open(FILEIN,"<$filename") or die "cvscript: unable to open plot template file $filename\n";

my $nKeys = scalar @ARGV;

while(<FILEIN>)
{
    for (my $cntr = 1; $cntr <= $nKeys; $cntr++)
    {
	my $OLDSTR = join '',"key",$cntr;

	s/$OLDSTR/$ARGV[$cntr - 1]/g;
    } # end for loop

    print;

} # end while

close(FILEIN);
