package ocGuiAttributes;

use strict;
use warnings;

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

use gcConfig;

## ocGuiAttributes -- simple module for ocGui Attributes (A.B. 1/2001)
our $ocGuiCopyright = copyright_string();

## Define the colors in the oCalGui display
our $intersectionColor = "DarkSlateGray";
our $zaColor = "green4";
our $delayColor = "blue";
our $currentDayColor = "red3";
our $sunColor = "MediumBlue";
our $obscureColor = "black";
our $clusterColor = "red";
##$clusterColor = "green4";
our $transitColor = "blue";
our $sunriseColor = "green3";
our $sunsetColor = "red";


## Define oCalGui's canvas size
our $ocGuiXCanvasSize = 700;
our $ocGuiYCanvasSize = 300;

## Max Items in the target menu(s)
our $targMenuItems = 25;


1;
