#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: hip2ILine.pl,v 1.9 2008/11/12 23:28:59 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

use strict;
use warnings;
use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";		# location of getCal Perl modules
use Getopt::Long;
use hipparcosLine;
use internalLine;
use formatConv;
use miscString;

while (my $line = <STDIN>) {
    $line = trimWhite($line);
    next if (!$line);
    my $h = new hipparcosLine(line => $line);
    my $iLine = hip2ILine($h);
    print $iLine->lineOutput();
}

exit(0);
