#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: moonPhase.pl,v 1.9 2008/11/12 23:28:46 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

use strict;
use warnings;
use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";		# location of getCal Perl modules
use sunMoon;

if ((scalar @ARGV) < 1)
{
    print "Usage: moonPhase JD [siderealAngle latitude]\n";
    exit(0);
}

my ($jd,$sid,$lat) = @ARGV;

my $result = &moonPhase($jd,$sid,$lat);
print "$result\n";

## end main ##
exit(0);
