package uvToolAttributes;

use strict;
use warnings;

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


## uvToolAttributes -- simple module for uvTool Attributes (A.B. 1/2001)
use gcConfig;
our $uvToolCopyright = copyright_string();

## Define the colors in the uvTool display
our $intersectionColor = "DarkSlateGray";
our $zaColor = "green4";
our $delayColor = "blue";
our $ghostColor = "black";
our $transitColor = "red";
our $currentUTColor = "red3";
our $obscureColor = "black";

our $maxFSpaceColor = "firebrick3";
our $medFSpaceColor = "blue2";
our $minFSpaceColor = "ForestGreen";



## Define uvTool's canvas size
our $XCanvasSize = 450;
our $YCanvasSize = 450;


## Max target menu items
our $targMenuItems = 25;


1;
