package hipparcosKeys;
my $MODVERSION = '$Id: hipparcosKeys.pm,v 1.4 2008/11/12 23:28:23 sgroom Exp $';
use strict;
use warnings;
require 5.000;

use Exporter();

our @ISA = qw(Exporter);
our @EXPORT = qw($HIP_Num $HIP_RAhms $HIP_DECdms $HIP_Vmag $HIP_VarFlag $HIP_RAdeg
	     $HIP_DECdeg $HIP_Plx $HIP_pmRA $HIP_pmDEC $HIP_eRA $HIP_eDEC $HIP_ePlx
	     $HIP_epmRA $HIP_epmDEC $HIP_VmagErr $HIP_BminusV $HIP_BmVErr $HIP_VminusI
	     $HIP_VmIErr $HIP_Hpmag $HIP_e_Hpmag $HIP_Hpscat $HIP_o_Hpmag $HIP_DSFlag
	     $HIP_AstSrcFlag $HIP_SolQual $HIP_rho $HIP_e_rho $HIP_HDnum $HIP_DMname
	     $HIP_DMname2 $HIP_spType
	     $HIP_AppAngDist $HIP_AppKmag $HIP_AppEAS $HIP_AppEASErr
	     );


##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################


# Access index keys for the Hipparcos catalog fields

our $HIP_Num = 1;
our $HIP_RAhms = 3;
our $HIP_DECdms = 4;
our $HIP_Vmag = 5;
our $HIP_VarFlag = 6;
our $HIP_RAdeg = 8;
our $HIP_DECdeg = 9;
our $HIP_Plx = 11;
our $HIP_pmRA = 12;
our $HIP_pmDEC = 13;
our $HIP_eRA = 14;
our $HIP_eDEC = 15;
our $HIP_ePlx = 16;
our $HIP_epmRA = 17;
our $HIP_epmDEC = 18;
our $HIP_VmagErr = 35;
our $HIP_BminusV = 37;
our $HIP_BmVErr = 38;
our $HIP_VminusI = 40;
our $HIP_VmIErr = 41;
our $HIP_Hpmag = 44;
our $HIP_e_Hpmag = 45;
our $HIP_Hpscat = 46;
our $HIP_o_Hpmag = 47;
our $HIP_DSFlag = 59;
our $HIP_AstSrcFlag = 60;
our $HIP_SolQual = 61;
our $HIP_rho = 64;
our $HIP_e_rho = 65;
our $HIP_HDnum = 71;
our $HIP_DMname = 72;
our $HIP_DMname2 = 73;
our $HIP_spType = 76;


## Additional fields we add as we process
our $HIP_AppAngDist = 78;
our $HIP_AppKmag = 79;
our $HIP_AppEAS = 80;
our $HIP_AppEASErr = 81;


return 1;


