#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: stripTiming.pl,v 1.3 2008/11/12 23:28:47 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

# This wrapper program calls the stripTiming perl sub to remove
# timing annotations from the STDIN, and writes the output on STDOUT.
# This wrapper is only for compatibility and testing, getCal
# programs should call the stripTiming sub directly.
# 9/29/06 SLG


use strict;
use warnings;

use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";          # location of getCal Perl modules

use timingMisc;
use miscArgs;

handleCommonOpts(0);

my @inlines = <STDIN>;	# slurp the input
my @outlines = stripTiming(@inlines); # run it through stripTiming
print @outlines;	# print the output
