#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: sunPos.pl,v 1.9 2008/11/12 23:28:47 sgroom Exp $';

##########################################################################
# NASA Exoplanet Science Institute (NExScI) -- http://nexsci.caltech.edu #
#       Copyright (c) 1997-2008 California Institute of Technology       #
#                     U.S. Government Sponsorship                        #
# Under contract with the National Aeronautics and Space Administration  #
##########################################################################

use strict;
use warnings;
use FindBin qw($RealBin);
use lib "$RealBin/../lib/modules";		# location of getCal Perl modules
use sunMoon;

if ((scalar @ARGV) < 1)
{
    print "Usage: sunPos JD\n";
    exit(0);
}

my $jd = shift @ARGV;
 
my ($ra,$dec) = &sunPos($jd);

print "$ra   $dec\n";

## end main ##
exit(0);
