#! @PERL@
# -*- perl -*-
# @configure_input@

our $MODVERSION = '$Id: testGcSimbad.pl,v 1.6 2007/03/05 23:48:29 sgroom Exp $';

#
# testGcSimbad - test harness for the gcSimbad perl module
#

use strict;
use warnings;
use Test;

use gcSimbad;
use simbadresult;
use astroCatalogue;

print "Testing gcSimbad\n";
BEGIN { plan tests => 5, onfail => sub {die "One or more tests failed"} }

my $obj;
my $found;

# basic tests
$obj = searchSimbad("iota_peg");
ok ($obj);
ok ($obj->desig(), "HD 210027");
ok ($obj->hd(), "HD 210027");
ok ($obj->hip(), "HIP 109176");

my @idents = &identsByCatalogue("SAO",$obj->ident());
$idents[0] =~ s/\s+/_/g;
ok ($idents[0], "SAO_90238");
